%define anolis_release 1

Name:		mkfontscale
Version:	1.2.2
Release:	%{anolis_release}%{?dist}
Summary:	Tool to generate legacy X11 font system index files

License:	MIT
URL:		https://www.x.org
Source0:	https://www.x.org/pub/individual/app/%{name}-%{version}.tar.xz

Patch0: 	mkfontscale-examine-all-encodings.patch

BuildRequires:	gcc make libtool
BuildRequires:  pkgconfig(fontenc)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  zlib-devel

Provides: 	mkfontdir = %{version}
Conflicts: 	xorg-x11-font-utils < 7.5-51

%description
mkfontscale creates the fonts.scale and fonts.dir index files used by the
legacy X11 font system.  It now includes the mkfontdir script previously
distributed separately for compatibility with older X11 versions.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/mkfontdir
%{_bindir}/mkfontscale
%{_mandir}/man1/mkfontdir.1*
%{_mandir}/man1/mkfontscale.1*

%changelog
* Thu May 05 2022 happy_orange <songnannan@linux.alibaba.com> - 1.2.2-1
- Init from upstream
